<?xml version="1.0" encoding="Shift_JIS"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

<xsl:template match="/">
<html>
<head>
<title>NemuBar ACȅ</title>
<style type="text/css">
body{ margin:1em 1.5em;}
address{ text-align:right; }
A:hover{ text-decoration:underline; }
.title{font-size:1.4em; font-weight:bold; text-decoration:none; }
.target{ font-size:0.8em; }
</style>
</head>
<body>
<center>
<h1>NemuBar eACȅ</h1>
<xsl:apply-templates select="checksrv/targetdatas" />
</center>
<hr />
<address>
&quot;NemuBar&quot; Created by <a href="mailto:bosuke@milk.freemail.ne.jp">BOSUKE</a>
<br />
<a href="http://www.aa.alpha-net.ne.jp/bosuke/" target="_blank">ǂӂ</a>
</address>
</body>
</html>
</xsl:template>

<xsl:template match="checksrv/targetdatas">
<xsl:for-each select="item" order-by="+number(check/result)">

<table border="1" width="570">
<tr>

<xsl:choose>
	<xsl:when test="check/result[.=0]">
		<td align="center" valign="center" rowspan="2" colspan="3" bgcolor="#F08080">
			<xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:choose>
						<xsl:when test="openurl[not(.='')]">
							<xsl:value-of select="openurl" />
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="target" />
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:attribute name="target">_blank</xsl:attribute>
				<xsl:attribute name="class">title</xsl:attribute>
				<xsl:value-of select="name" />
			</xsl:element>
		</td>
	</xsl:when>
	<xsl:otherwise>
		<td align="center" valign="center" rowspan="2" colspan="3">
			<xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:choose>
						<xsl:when test="openurl[not(.='')]">
							<xsl:value-of select="openurl" />
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="target" />
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:attribute name="target">_blank</xsl:attribute>
				<xsl:attribute name="class">title</xsl:attribute>
				<xsl:value-of select="name" />
			</xsl:element>
		</td>
	</xsl:otherwise>
</xsl:choose>

<td align="center">
<xsl:choose>
	<xsl:when test="check/result[.=0]">XVĂ܂</xsl:when>
	<xsl:when test="check/result[.=1]">`FbN</xsl:when>
	<xsl:when test="check/result[.=2]">XVĂ܂</xsl:when>
	<xsl:when test="check/result[.=3]">LZ</xsl:when>
	<xsl:when test="check/result[.=4]">^CAEg</xsl:when>
	<xsl:when test="check/result[.=5]">G[</xsl:when>
	<xsl:when test="check/result[.=6]">`FbNł</xsl:when>
	<xsl:when test="check/result[.=7]">擾ł</xsl:when>
</xsl:choose>
</td>

</tr>


<tr>

<td align="center">
<xsl:choose>
	<xsl:when test="check/lastcheck/date">
		<xsl:apply-templates select="check/lastcheck/date" />
	</xsl:when>
	<xsl:otherwise>|||||</xsl:otherwise>
</xsl:choose>
</td>

</tr>
<tr>
<td align="center" width="94">ŏI{</td>
<td align="center">
<xsl:choose>
	<xsl:when test="datas/lastopen/date">
		<xsl:apply-templates select="datas/lastopen/date" />
	</xsl:when>
	<xsl:otherwise>|||||</xsl:otherwise>
</xsl:choose>
</td>

<td align="center">FileSize</td>
<td align="right" width="190">
<xsl:choose>
	<xsl:when test="datas/filesize[not(.='')]">
		<xsl:value-of select="datas/filesize" />
	</xsl:when>
	<xsl:otherwise>|||</xsl:otherwise>
</xsl:choose>
</td>
</tr>
<tr>
<td align="center">XV</td>
<td align="center">
<xsl:choose>
	<xsl:when test="datas/lastmodified/date">
		<xsl:apply-templates select="datas/lastmodified/date" />
	</xsl:when>
	<xsl:otherwise>|||||</xsl:otherwise>
</xsl:choose>
</td>

<td colspan="2" align="center">
<xsl:choose>
	<xsl:when test="datas/metatag[not(.='')]">
		<xsl:value-of select="datas/metatag" />
	</xsl:when>
	<xsl:otherwise>|||</xsl:otherwise>
</xsl:choose>
</td>

</tr>
<tr>
<td align="center">`FbN@</td>
<td colspan="3">
<xsl:choose>
	<xsl:when test="check/howto/modifiedsince[.=1]">T</xsl:when>
	<xsl:otherwise>|</xsl:otherwise>
</xsl:choose>
<xsl:choose>
	<xsl:when test="check/howto/contentlen[.=1]">S</xsl:when>
	<xsl:otherwise>|</xsl:otherwise>
</xsl:choose>
<xsl:choose>
	<xsl:when test="check/howto/digest[.=1]">D</xsl:when>
	<xsl:otherwise>|</xsl:otherwise>
</xsl:choose>
<xsl:choose>
	<xsl:when test="check/howto/tag[.=1]">M</xsl:when>
	<xsl:otherwise>|</xsl:otherwise>
</xsl:choose>
<xsl:choose>
	<xsl:when test="check/filter/flags[not(.='' or .=0)]">F</xsl:when>
	<xsl:otherwise>|</xsl:otherwise>
</xsl:choose>
i<xsl:value-of select="check/interval" />)
<xsl:element name="a">
	<xsl:attribute name="href">
		<xsl:value-of select="target" />
	</xsl:attribute>
	<xsl:attribute name="target">_blank</xsl:attribute>
	<xsl:attribute name="class">target</xsl:attribute>
	<xsl:value-of select="target" />
</xsl:element>
</td>

</tr>
</table>
<br />
</xsl:for-each>
</xsl:template>

<xsl:template match="date">
<xsl:choose>
	<xsl:when test="year[not(.='')]">
		<xsl:value-of select="year" />N
		<xsl:value-of select="month" />
		<xsl:value-of select="day" />
		<xsl:value-of select="hour" />:<xsl:value-of select="minute" />
	</xsl:when>
	<xsl:otherwise>|||||</xsl:otherwise>
</xsl:choose>
</xsl:template>

</xsl:stylesheet>
